     ///////////////////////////////////////////
    // BIDIR_LOGIBLOX.V Version 1.0          //
   // This is an example of using LogiBLOX  //
  // to create a bi-directional port.      //
 // August 1997                           //
///////////////////////////////////////////

//----------------------------------------------------
// LogiBLOX BIDI Module "bidir_io_from_lb"
// Created by LogiBLOX version M1.3.7
//    on Mon Sep  8 17:10:15 1997
// Attributes 
//    MODTYPE = BIDI
//    BUS_WIDTH = 2
//    IN_TYPE = LATCH
//    OUT_TYPE = TRI
//----------------------------------------------------

module bidir_logiblox (DATA, READ_WRITE);

    input       READ_WRITE ;
    inout [1:0] DATA ;

    reg   [1:0] LATCH_OUT ;
    wire  [1:0] DATA_OUT ;


    assign DATA_OUT[0] = LATCH_OUT[0] & LATCH_OUT[1];
    assign DATA_OUT[1] = LATCH_OUT[0] | LATCH_OUT[1];

    // LogBLOX instantiation

    bidir_io_from_lb  BIDIR_BUSSED_PORT
        ( .O(DATA_OUT), .OE(READ_WRITE), .P(DATA), 
          .IQ(LATCH_OUT), .IGATE(READ_WRITE));

endmodule


module bidir_io_from_lb(O, OE, P, IQ, IGATE);
    input  [1:0] O;
    input        OE;
    input        IGATE;
    inout  [1:0] P;
    output [1:0] IQ;
endmodule

