      //////////////////////////////////////////////
     // IF_EX.V Version 1.0                      //
    // Example of a If statement showing a      //
   // mux created using priority encoded logic //
  // HDL Synthesis Design Guide for FPGAs     //
 // November 1997                            //
//////////////////////////////////////////////

module if_ex (A, B, C, D, SEL, MUX_OUT);

    input        A, B, C, D;
    input  [1:0] SEL;
    output       MUX_OUT;

    reg          MUX_OUT;

    always @ (A or B or C or D or SEL)
    begin
       if (SEL == 2'b00)
          MUX_OUT = A;
       else if (SEL == 2'b01)
          MUX_OUT = B;
       else if (SEL == 2'b10)
          MUX_OUT = C;
       else if (SEL == 2'b11)
          MUX_OUT = D;
       else
          MUX_OUT = 0;
    end

endmodule
